# AppCallbackAlphaGrpc (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class AppCallbackAlphaGrpc

- java.lang.Object
- - io.dapr.v1.AppCallbackAlphaGrpc

    @Generated(value="by gRPC proto compiler (version 1.42.1)",
               comments="Source: appcallback.proto")
    public final class AppCallbackAlphaGrpc
    extends Object

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

### Nested Class Summary

Nested Classes
`static class` `AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub` AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt for Alpha RPCs.
`static class` `AppCallbackAlphaGrpc.AppCallbackAlphaFutureStub` AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt for Alpha RPCs.
`static class` `AppCallbackAlphaGrpc.AppCallbackAlphaImplBase` AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt for Alpha RPCs.
`static class` `AppCallbackAlphaGrpc.AppCallbackAlphaStub` AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt for Alpha RPCs.

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventBulkRequest,​DaprAppCallbackProtos.TopicEventBulkResponse>` `getOnBulkTopicEventAlpha1Method()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub` `newBlockingStub​(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AppCallbackAlphaGrpc.AppCallbackAlphaFutureStub` `newFutureStub​(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AppCallbackAlphaGrpc.AppCallbackAlphaStub` `newStub​(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getOnBulkTopicEventAlpha1Method

    public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventBulkRequest,​DaprAppCallbackProtos.TopicEventBulkResponse> getOnBulkTopicEventAlpha1Method()

#### newStub

    public static AppCallbackAlphaGrpc.AppCallbackAlphaStub newStub​(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub newBlockingStub​(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static AppCallbackAlphaGrpc.AppCallbackAlphaFutureStub newFutureStub​(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()